@import '../../sass/variables';
@import '../../sass/mixins';

#dashboard-list-page {
  overflow-x: hidden !important;
  height: 100%;

  #dashboard-list-container {
    position: relative;
    margin: auto;

    .header {
      margin-bottom: 15px;
      height: 20px;

      span {
        color: darken($grey, 20%);
        font-size: 15px;
      }
    }

    .dashboard-card {
      .card-content {
        height: 100%;
        padding: 10px 0;

        .card-icon {
          fill: white;
          float: left;
          height: 100%;

          svg {
            height: 100%;
            width: 100%;
          }
        }

        .card-info {
          .dashboard-type {
            color: white;
            text-transform: uppercase;
            opacity: .45;
            margin-top: 5px;
          }

          .dashboard-title {
            color: white;
          }
        }
      }
    }

    @include fromBreakpoint(desktop) {
      max-width: 700px;
      width: 100%;

      #existing-dashboards-section {
        margin-top: 50px;
      }

      .dashboard-card {
        height: $dashboardCardHeight;
        width: 100%;

        .card-icon {
          width: $dashboardCardIconWidth;
        }

        .card-info {
          .dashboard-type {
            font-size: 14px;
          }

          .dashboard-title,
          #title-input > input {
            font-size: 17px;
          }

          .dashboard-title {
            margin: 5px 0;
          }
        }
      }
    }

    @include untilBreakpoint(desktop) {
      max-width: 500px;
      width: 100%;

      #existing-dashboards-section {
        margin-top: 25px;
      }

      .header {
        margin-left: 15px;
      }

      .dashboard-card {
        height: $dashboardCardHeightMobile;
        width: 100%;

        .card-icon {
          width: $dashboardCardIconWidthMobile;
        }

        .card-info {
          .dashboard-type,
          .dashboard-title,
          #title-input > input {
            font-size: 13px;
          }
        }
      }
    }
  }
}
